
Figure - Bug #117879
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】在有小窗的时候切换左右手模式，再点击recent中小窗卡片，小窗不显示
2023-05-11 16:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Reproducibility: Every time Fixed Version: 2023-05-16

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、打开一应用小窗

2、切换左右手模式

3、点击recent中小窗卡片

【预期结果】

3、点击后小窗显示在桌面上

【实际结果】

3、小窗不显示

History

#1 - 2023-05-11 19:22 - CD FW-鲁凯峰

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

这个是由于在退出Recent的时候没有调用startActivityFromRecent把小窗应用重新拉起的原因

#2 - 2023-05-13 16:00 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 20

此问题在0513版本不复现，周一验证后反馈。

#3 - 2023-05-15 15:36 - CD TEST-方永红

- File Phone-1A2212290000002271 2023-05-15 15-30-44.mp4 added
- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD APP-王宏

【测试步骤更新版】

1、打开应用小窗

2、打开一全屏应用

3、手势上划进入RECENT

4、点击小窗卡片

【结果】

4、桌面上无小窗应用显示

#4 - 2023-05-15 17:32 - CD APP-王宏

- % Done changed from 20 to 50

■ Current conclusion

已提交

■ My analysis

控制是否需要拉起小窗的值出了问题，

修改初始化值的位置

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/200187

#5 - 2023-05-15 17:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200187 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fixed the bug of small window not showTC-RID: 1201-0205302IssueID: TS-R-BUG-117879Change-Id:

Ibe7d525f0c17c3fa7b0f7ec1cf5eb735108d7f91

#6 - 2023-05-15 17:51 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-16

- Root cause set to 编码问题

#7 - 2023-05-16 14:09 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

5.16

验证通过
#8 - 2023-05-16 14:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-05-11 16-38-34.mp4 4.68 MB 2023-05-11 CD TEST-方永红

Phone-1A2212290000002271 2023-05-15 15-30-44.mp4 7.12 MB 2023-05-15 CD TEST-方永红
